<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <!-- displays site properly based on user's device -->

    <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png"/>

    <title>Frontend Mentor | Fylo data storage component</title>

    <link rel="stylesheet" href="assets/styles/main.css"/>
    <link rel="stylesheet" media="screen and (max-width: 992px)" href="assets/styles/mobile.css" />
    <script defer type="application/javascript" src="assets/scripts/main.js"></script>
</head>
<body>

<main>
    <div class="uploader">
        <img
                class="logo"
                src="assets/images/logo.svg"
                alt="the fylo logo with the brand name next to it"
        />
        <div class="uploader-actions-container">
            <button type="button" class="uploader-action">
                <img src="assets/images/icon-document.svg" alt="a document"/>
            </button>
            <button type="button" class="uploader-action">
                <img src="assets/images/icon-folder.svg" alt="a folder"/>
            </button>
            <button type="button" class="uploader-action">
                <img src="assets/images/icon-upload.svg"
                     alt="little cloud with an arrow in it, representing an upload"/>
            </button>
        </div>
    </div>
    <div class="usage">
        <span class="usage-desc">You've used <strong><span id="current-usage">815</span> GB</strong> of your storage</span>
        <div class="usage-bar-container">
            <div class="usage-bar">
                <div id="usage-bar-content" class="usage-bar-content"></div>
            </div>
            <div class="usage-bar-range"><span>0 GB</span><span>1000 GB</span></div>
        </div>
        <div class="usage-tooltip">
            <span id="usage-left" class="usage-number">185</span><span class="brexit">GB Left</span>
        </div>
    </div>
</main>


<footer class="attribution">
    Challenge by <a href="https://www.frontendmentor.io?ref=challenge" target="_blank">Frontend Mentor</a>.
    Coded by <a href="https://gitlab.com/redops-foss" target="_blank">RedOps</a>.
</footer>
</body>
</html>
